## org.sqlite
Enum SQLiteConfig.SynchronousMode

    java.lang.Object
      java.lang.Enum<SQLiteConfig.SynchronousMode>
          org.sqlite.SQLiteConfig.SynchronousMode

All Implemented Interfaces:
  Serializable, Comparable<SQLiteConfig.SynchronousMode>

Enclosing class:
  SQLiteConfig

    public static enum SQLiteConfig.SynchronousMode

extends Enum<SQLiteConfig.SynchronousMode>

Enum Constant Summary
`FULL`
`NORMAL`
`OFF`

Method Summary
`String` `getValue()`
`static SQLiteConfig.SynchronousMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SQLiteConfig.SynchronousMode[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OFF

    public static final SQLiteConfig.SynchronousMode OFF

### NORMAL

    public static final SQLiteConfig.SynchronousMode NORMAL

### FULL

    public static final SQLiteConfig.SynchronousMode FULL

Method Detail

### values

    public static final SQLiteConfig.SynchronousMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(SQLiteConfig.SynchronousMode c : SQLiteConfig.SynchronousMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static SQLiteConfig.SynchronousMode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### getValue

    public String getValue()

This work is licensed under a Creative Commons Attribution-ShareAlike 2.1 Japan License.